Bug 24721 - emailLibrarianWhenHoldIsPlaced should use Koha::Library->inbound_email_address
Summary: emailLibrarianWhenHoldIsPlaced should use Koha::Library->inbound_email_address
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 22823
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-25 10:59 UTC by Martin Renvoize
Modified: 2020-04-03 20:35 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24721: Update emailLibrarianWhenHoldIsPlaced to use effective_email (1.40 KB, patch)
2020-02-25 11:05 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24721: Update emailLibrarianWhenHoldIsPlaced to use inbound_email_address (1.41 KB, patch)
2020-03-18 09:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24721: Update emailLibrarianWhenHoldIsPlaced to use inbound_email_address (1.48 KB, patch)
2020-03-18 10:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-02-25 10:59:26 UTC
Bug 22823 introduced a consistent method for obtaining the inbound email address of a library branch, we should use that method to obtain the correct address for use with the emailLibrarianWhenHoldIsPlaced functionality.
Comment 1 Martin Renvoize 2020-02-25 11:05:39 UTC
Created attachment 99571 [details] [review]
Bug 24721: Update emailLibrarianWhenHoldIsPlaced to use effective_email

This patch updates the emailLibrarianWhenHoldIsPlaced functionality to
use the get_effective_email method to obtain the correct email address
for a branch.
Comment 2 Jonathan Druart 2020-03-18 09:52:36 UTC
Created attachment 100941 [details] [review]
Bug 24721: Update emailLibrarianWhenHoldIsPlaced to use inbound_email_address

This patch updates the emailLibrarianWhenHoldIsPlaced functionality to
use the inbound_email_address method to obtain the correct email address
for a branch.
Comment 3 Jonathan Druart 2020-03-18 09:52:59 UTC
The method has been renamed in a previous bug report.
Comment 4 Jonathan Druart 2020-03-18 10:22:43 UTC
Created attachment 100947 [details] [review]
Bug 24721: Update emailLibrarianWhenHoldIsPlaced to use inbound_email_address

This patch updates the emailLibrarianWhenHoldIsPlaced functionality to
use the inbound_email_address method to obtain the correct email address
for a branch.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2020-03-18 10:24:06 UTC
Trivial patch, tested on top of the whole stack. Passing QA.
Comment 6 Martin Renvoize 2020-03-19 09:39:42 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-04-03 20:35:56 UTC
not backported due to dependencies